Open topic with navigation

TIBCO® Patterns 6.1.2

| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
NetricsServerInterface.ConfidenceQlt Class Reference

Holds additional data about a query needed for FirstValid score combiner. More...

## Public Member Functions
| ConfidenceQlt (NetricsQuery qlet, double match_score_cutoff)
| Create a Confidence Querylet with default values.
| ConfidenceQlt (NetricsQuery qlet, double match_score_cutoff, double confidence_cutoff, bool preindex_it)
| Create a Confidence Querylet with values explicitly set.
ConfidenceQlt | setConfidenceCutoff (double confidence_cutoff)
| Set the confidence cut off value.
ConfidenceQlt | doNotPreindex ()
| Mark this querylet as to be ignored by the prefilter index.
NetricsQuery | getQuery ()
| Get the querylet as a NetricsQuery object.
double | getConfidenceCutoff ()
| Get the confidence cutoff value for this querylet.
double | getMatchCutoff ()
| Get the match cutoff value for this querylet.
bool | isPreIndexed ()
| Check if this querylet is sent to the prefilter index.

## Static Public Attributes
static readonly double | DFLT_CONFIDENCE_CUTOFF = 0.7
| The default confidence cutoff to be used with most Learn Models.

## Detailed Description

Holds additional data about a query needed for FirstValid score combiner.

This class is used in conjunction with the NetricsQuery.FirstValid score combiner. It holds the additional data about each querylet that the FirstValid combiner needs. It also validates the data.

See also
  NetricsQuery.FirstValid(ConfidenceQlt[],bool)

## Constructor & Destructor Documentation

## ◆ ConfidenceQlt() [1/2]

NetricsServerInterface.ConfidenceQlt.ConfidenceQlt | ( | NetricsQuery | qlet,
|  | double | match_score_cutoff
| ) |  |
| inline

Create a Confidence Querylet with default values.

The default values for the confidence cutoff is DFLT_CONFIDENCE_CUTOFF defined in this class. The default value for the preindex flag is true.

throws ArgumentException if qlet is null or match_score_cutoff is less than 0.0 or greater than 1.0.

Parameters

  qlet | The querylet. Cannot be null.
  match_score_cutoff | The match score cutoff value. This is the score that forms the boundary between what is considered a match and what isn't a match. If the value is given as -1.0 the absolute cutoff value for the search is used. If the search has no absolute cutoff set, either in the search opts, or via a Learn Model threshold, then the -1.0 cutoff value is treated as an error by the Patterns server.

## ◆ ConfidenceQlt() [2/2]

NetricsServerInterface.ConfidenceQlt.ConfidenceQlt | ( | NetricsQuery | qlet,
|  | double | match_score_cutoff,
|  | double | confidence_cutoff,
|  | bool | preindex_it
| ) |  |
| inline

Create a Confidence Querylet with values explicitly set.

Parameters

  qlet | the querylet.
  match_score_cutoff | The match score cutoff value. This is the score that forms the boundary between what is considered a match and what isn't a match. If the value is given as -1.0 the absolute cutoff value for the search is used. If the search has no absolute cutoff set, either in the search opts, or via a Learn Model threshold, then the -1.0 cutoff value is treated as an error by the Patterns server.
  confidence_cutoff | Use the querylet only if its confidence meets or exceeds this value. A value of -1.0 implies the default confidence cutoff should be used.
  preindex_it | if this is true this querylet is passed to the prefilter index, if false this querylet is ignored by the prefilter.

## Member Function Documentation

## ◆ doNotPreindex()

ConfidenceQlt NetricsServerInterface.ConfidenceQlt.doNotPreindex | ( |  | ) |
| inline

Mark this querylet as to be ignored by the prefilter index.

If this method is called this querylet will be ignored in the prefilter selection phase of matching. This can both improve response times and accuracy if this querylet contains information that is completely redundant with other querylets.

Returns
  this object.

## ◆ getConfidenceCutoff()

double NetricsServerInterface.ConfidenceQlt.getConfidenceCutoff | ( |  | ) |
| inline

Get the confidence cutoff value for this querylet.

Returns
  the confidence cutoff value for this querylet.

## ◆ getMatchCutoff()

double NetricsServerInterface.ConfidenceQlt.getMatchCutoff | ( |  | ) |
| inline

Get the match cutoff value for this querylet.

Returns
  the match cutoff value.

## ◆ getQuery()

NetricsQuery NetricsServerInterface.ConfidenceQlt.getQuery | ( |  | ) |
| inline

Get the querylet as a NetricsQuery object.

Returns
  this querylet as a NetricsQuery.

## ◆ isPreIndexed()

bool NetricsServerInterface.ConfidenceQlt.isPreIndexed | ( |  | ) |
| inline

Check if this querylet is sent to the prefilter index.

Returns
  true if this querylet is used by the prefilter, false if it is ignored by the prefilter.

## ◆ setConfidenceCutoff()

ConfidenceQlt NetricsServerInterface.ConfidenceQlt.setConfidenceCutoff | ( | double | confidence_cutoff | ) |
| inline

Set the confidence cut off value.

This sets the confidence cut off value for this querylet. The confidence of the querylet match must meet or exceed this value. A value of -1.0 implies the default confidence value for Learn Models should be used.

This throws an ArgumentException if confidence_cutoff is not -1.0 and is either less than 0.0 or greater than 1.0.

Parameters

  confidence_cutoff | The confidence value.

Returns
  this object.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO® Patterns

Copyright © 2010-2025. Cloud Software Group, Inc. All Rights Reserved.